Search the Community

Showing results for tags 'centos'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Resilio Sync
    • Sync General Discussion
    • Sync Troubleshooting
    • Sync for NAS (Network Attached Storage)
    • Sync Stories
    • Developers
    • Feature Requests

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 10 results

  1. Hello, I tried add some folder to sync (for example /var/www/) but I see error "Don'thave permissions to write to selected folder" I can't change permissions for this folder, can I up permissions for resilio? Than You! CentOS 7 resilio-sync-2.5.8-1.x86_64
  2. I was facing this issue since few months. Frequently, All my resilio settings were lost and I used some really undesirable workarounds till now. Today I found a perfect solution which works everytime. The Setup: System: Centos 6.6 x86_64 wget https://download-cdn.resilio.com/stable/linux-x64/resilio-sync_x64.tar.gz cd /home/user/bin tar -xf ../resilio-sync_x64.tar.gz ./rslsync Running above commands, I could access the webUI and did all the settings (setting up username and password etc.). After 2 days I logged in to the same machine and ./bin/rslsync The service started. I accessed the webUI and for my surprise, I was asked the username, password and re-enter password which was asked 2 days ago, It looked like all the settings were lost. Same issue while using crontab. Solution: I noticed a .sync directory inside /home/user/bin/ Copied the directory inside the home directory cp -r /home/user/bin/.sync /home/user/bin Killed resilio sync and restarted it. Everything works fine now. Is it a bug? A NO from me. Reason: When you run the rslsync for the first time, The .sync directory which stores all the information about sync is created in the Current Working Directory. While running rslsync, You need to be in the directory which was your pwd while you first ran rslsync Let's say, You are running resilio for the very first time. rslsync binary is stored in /home/user/bin/ , And you did cd /home/Downloads /home/user/bin/rslsync resilio will start and .sync directory will be created in your pwd ie. /home/user/Downloads Next time, If you are in your home directory and you do /home/user/bin/rslsync Resilio will start but settings will be lost. But, cd /home/user/Downloads /home/user/bin/rslsync will work This is troublesome if you only have 1 resilio setup. So make sure you run rslsync in your home directory initially. On the other side, If you want to have multiple resilio setups on the same machine and that too with the same user, This "so called bug" is awesome. You can have multiple different shares with different credentials and different setups. Though only 1 will be running at a time. Hope this helped. Thanks
  3. I recently ran a yum update on my computer running resilio sync and after a reboot noticed that all the settings were gone. Additionally, it could no longer load the folder list from where my folders are in the WebUI. I am unsure how to resolve this issue or how to roll-back to a previous version.
  4. Good day, I've been successfully running btsync 1.3.8 on CentOS 7.3. I am looking to update to latest (1.4.1) and have a few questions: 1. The upgrade instructions state I need to place the rslsync along btsync. Where is that? /var/lib/btsync/? /var/lib/btsync has a folder .SyncUserxxxxxxx. Is that the folder you mean by ".sync" 2. I have the old btsync repo under /etc/yum.repos.d If i add the new repo for resilio, will that work with above manual install? 3. Will old shares be preserved? Thank you,
  5. Hi I am searching for a method to share files over multiple servers. Sync seems interesting to me. Just want to confirm if it fits my requirements. We have multiple servers located at remote location where we wont have physical access. They have low speed mobile internet (2G) connection. Servers are in vehicles so they are on move and they constantly come and go out of the network. We usually get speeds around 50-60 KBps download speed in a good connection. The folder that we intend to share would be around 100 MB. Server runs CentOS without any UI (CLI only). We have one master server running windows server which will be a constant seeder with a good internet. We are looking to buy the Embedded license, since it can run headless. Our concern is that will we be able to monitor each server remotely and get real-time update if the servers are up to date or not. Also We want to deploy this remotely. We can run scripts remotely, So installing it via a script should be possible. Looking for any inputs and appreciate any help thanks.
  6. Hi Team, I have a strange anomaly with BtSync 2. The problem arose from version x.104! I have two QNAP NAS and one CentOS server, the two NAS share the same folders while the server only two. After a few days of the starting the two NAS BtSync lose synchronization bringing me back "0 of 0 peers" for some folders. Just that I reboot the BtSync process in one of two NAS and everything goes back to work. The strange thing is that some folders are synchronized, some not. And if I go to Menu> "My Devices ..." I'm not seeing the other devices. But the folders still active synchronizes properly. I am attaching some screenshots! I restarted the process, only in one NAS, and synchronization is active in ALL folders.
  7. Hi All What is the easiest / best way to get btsync to start when a CentOS server starts up? Thanks David
  8. Hi! I'm a big fan of bittorrent technology. I hope some day we will use it as direct urls in browser to navigate and load any content in real time. Today I decided to make btsync a main tool that will transfer backups of my sites to my PC. I prefer CentOS as server OS. But it's usual repos (main+epel+remi) has no btsync package yet. May be because of beta status of that tool. CentOS have very handy way to start and stop daemons, but you need init.d script. Shure, I've found some. While trying to make it all work, I occasionally created a kind of an installation script. And one uninstallation script too. So, now I have three scripts for you to share. May be it will be useful for someone. install.sh This script will install btsync executable into the depths of CentOS. You have to put this script and btsync binary in the same folder. It do exactly the next things: Creates user btsync if it doesn't existCreates folders:/var/run/btsync - for a pid file/var/lib/btsync - to store any files btsync need for work (mean only sync folder for now)Creates files:/usr/bin/btsync - executable/etc/btsync.conf - config file/etc/init.d/btsync - to control the daemon/etc/sysconfig/bysync - to set /etc/init.d/btsync script vars (like user, config or pidfile) without editing it. uninstall.sh This script removes all above, except user and config file. btsync.initd To start btsync as daemon in a usual way - chkconfig or "service btsync start" I'm not familliar with all that bash script writing. I hope someone could fix if I did something wrong. Thanks! Listing: install.sh #!/bin/sh# created by igordataprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################function createUser () { user=$1 if id -u $user >/dev/null 2>&1; then echo "User $user exists." else useradd -s /sbin/nologin -M -U $user || { echo "Can't create user $user."; exit 1; } echo "User $user created." fi}function createDir () { DIR=$1 if [ -d $DIR ]; then echo "Dir $DIR exists." else mkdir $DIR || { echo "Can't create directory $DIR."; exit 2; } echo "Dir $DIR created." fi}function chownchmod () { DIR=$1 chown $prog:$prog $DIR || { echo "Can't change owner and group to $prog for path $DIR."; exit 3; } chmod 0744 $DIR || { echo "Can't set permissions for path $DIR."; exit 3; } echo "Owner, group and permissions are set for path $DIR.";}######################################################create user btsynccreateUser $prog#create folders#directory for btsync working filescreateDir $PROGDIRchownchmod $PROGDIR#btsync storage dircreateDir $PROGDIR/syncchownchmod $PROGDIR/sync#directory for btsync pid filecreateDir $PIDDIRchownchmod $PIDDIR#copy executablecp ./$prog $BIN || { echo "Can't copy $prog to $BIN."; exit 4; }chmod 0755 $BIN || { echo "Can't set permissions for executable $BIN."; exit 5; }echo "Executable copied to $BIN and permissons are set."cp ./$prog.initd /etc/init.d/$prog || { echo "Can't copy init.d script to /etc/init.d/$prog."; exit 6; }echo "Init.d script /etc/init.d/$prog created and permissions are set"touch /etc/sysconfig/$prog || { echo "Can't create /etc/sysconfig/$prog configuration file.";}chmod 0644 /etc/sysconfig/$prog || { echo "Can't set permissions for /etc/sysconfig/$prog configuration file.";}echo "Init.d script configuration vars now can be set in /etc/sysconfig/$prog file."if [ -f $CONFIG ]; then echo "Config file $CONFIG exists."else echo "{\"device_name\":\"CentOS.btsync\",\"listening_port\":0, // 0 - randomize port\"storage_path\":\"$PROGDIR/sync\",\"pid_file\":\"$PIDFILE\",\"use_upnp\":true,\"download_limit\":0,\"upload_limit\":0,/* \"webui\" : { \"listen\" : \"0.0.0.0:8888\", \"login\" : \"admin\", \"password\" : \"pass\" },*//* \"shared_folders\" : [ { \"secret\" : \"VERYSPECIALSECRETPHRASEFORTHATDIR\", // use --generate-secret in command line to create new secret \"dir\" : \"/path/to/dir\", \"use_sync_trash\" : false, // enable to store files deleted on remote devices in .SyncArchive folder \"known_hosts\" : [ \"192.168.1.2:44444\" ] } ],*/\"check_for_updates\":true}" > $CONFIG echo "An empty config was created.Attention!You have to uncomment webui section and set user and password to access webui at http://localhost:8888 to be able create and share folders.Or uncomment and fill list of shared directories manualy."fi#####################################################echo "Now you can use \"service $prog (start|stop)\" commands.Thanks.Done.";uninstall.sh #!/bin/shprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################if [ -f $PIDFILE ]; then killall $progfirm -f $PIDFILErm -f $BINrm -f /etc/init.d/$progrm -f /etc/sysconfig/$progrm -f -rf $PROGDIRrm -f -rf $PIDDIRecho "Done.User $prog and config file $CONFIG have to be removed manualy."btsync.initd (put to /etc/init.d/ and rename to "btsync") #!/bin/sh### BEGIN INIT INFO# Provides: btsync# Required-Start: $local_fs $remote_fs# Required-Stop: $local_fs $remote_fs# Should-Start: $network# Should-Stop: $network# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: service btsync (start|stop)# Description: Starts the btsync daemon.### END INIT INFO#############################USER="btsync"CONFIG=/etc/btsync.confPIDFILE=/var/run/btsync/btsync.pid#############################prog="btsync"retval=0if [ -f /etc/sysconfig/$prog ];then . /etc/sysconfig/$progfi# Source function library.. /etc/rc.d/init.d/functions# Source networking configuration.. /etc/sysconfig/network# Check that networking is up.[ "$NETWORKING" = "no" ] && exit 0start() { if [ -f $config ]; then echo -n $"Starting $prog: " daemon --user $USER $prog --config $CONFIG echo else echo "Couldn't start $prog for $USER (no $config found)" fi} stop() { echo -n $"Stopping $prog: " killproc -p $PIDFILE echo} case "$1" in start)start;;stop)stop;;restart|reload|force-reload)stopstart;;status)status $progretval=$?;;*)echo "Usage: /etc/init.d/btsync {start|stop|reload|force-reload|restart|status}"exit 1esac exit 0btinstall.zip
  9. Question guys, I have the following config.json for my two nodes. I am wondering if I am still sending any data over the internet or would all my traffic stay within my local lan ? From what I understand using the known_hosts directive, along with search_lan, I am not going to be using any public trackers. Is this correct? Thanks! -John { "device_name": "vpn1.us-west-2xxxxxxxx", "listening_port": 55555, "storage_path": "/etc/btsync", "pid_file": "/var/run/btsync/btsync.pid", "check_for_updates": false, "use_upnp": false, "download_limit": 0, "upload_limit": 0, "disk_low_priority": false, "folder_rescan_interval": 120, "lan_encrypt_data": true, "lan_use_tcp": true, "rate_limit_local_peers": false, "sync_max_time_diff": 300, "sync_trash_ttl": 30 ,"shared_folders": [ { "secret" : "xxxxx", "dir" : "/etc/somewhere/", "use_relay_server" : false, "use_tracker" : false, "use_dht" : false, "search_lan" : true, "use_sync_trash" : false , "known_hosts" : ["10.1.0.10:55555", "10.10.0.10:55555"] }
  10. Hi people, I'm Diego, work on Conexia and I love Sync! I'm here to talk about the use of bysync to copy the back ups (and other stuff) from a lot of client to a central server where the files goto a tape. At this moment, I have 5 CentOS clients sending files to a Windows 2008 R2. All the btsyncs apps are working as a service. All the CentOS have one shared folder (all by config file) Windows only have RO Secrets (configured by the GUI) Additionally, i formatted the volume for the shared folders into 64K to reduce the IO. Please, let me know what you think and how to get it better. Saludos, Diego